View Issue Details

IDProjectCategoryView StatusLast Update
0000494Cinelerra-GG[All Projects] Featurepublic2020-10-12 12:09
ReporterPhyllisSmith Assigned Togoodguy  
PrioritynormalSeverityminorReproducibilityhave not tried
Status assignedResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary0000494: Provide an easy method to select several clips for a group with a simple keypress
DescriptionCurrently it is possible to use the letter "a" letter to select all the clips in the timeline. But it is not possible to group them with that kind of selection. Instead you have to click on every clip and then shift+click to group them. This can be laborious when you have a lot of clips. How about possibly adding a shortcut to group all edits within a selected area?
(Request being added from armando in the forum).
TagsNo tags attached.

Activities

IgorBeg

IgorBeg

2020-10-12 12:09

reporter   ~0004246

Ooh, I am seeing that "Ctrl+Alt+A" shortcut is toggled. Good for me. Thanks!

As Andrea_paz wrote, also on my Operating System (UbuntuStudio_16.04) the new feature, [Ctrl]+Alt+LMB, is a nightmare and I prefer to use the highlight procedure in "Cut and Paste mode". More comfortable in my case.

I write here the steps to follow on my OS for the new feature, if it help others (it works so both for Select and Deselect):
1. Press and hold down Ctrl+Alt+LMB on a clip
2. drag on the clips you want to select
3. Release Ctrl key
4. Release LMB
5. Release Alt key

Why don't to use the PhyllisSmith screencast and put them into YouTube channel and into Cin-GG site (section News)?
If PhyllisSmith add the "Keyboard and Mouse Monitor for screencasts" (I use KeyMon program) they would be useful for the new Users (and the old one) that can see the new features. It is hard for an User stay updated every month, but with these screencasts We can see in a fast way. It would be useful I think. Then if an User create a Video Tutorial the old one can be deleted (or hidden) from YouTube and replaced with the new one.
Andrea_Paz

Andrea_Paz

2020-10-12 07:50

updater   ~0004245

Nice implementation, thanks.
In Arch Linux with KDE, the operation of the ALT key is special: you must use CTRL+ALT+LMB(Drag) both to select and deselect. If you release the CTRL+ALT keys first and only after LMB, you have the selection; if you release LMB first and only after CTRL+ALT you have the deselection.
That's fine with me. Maybe we put a hint in the manual.
fary54

fary54

2020-10-12 06:24

reporter   ~0004244

Congratulations to GG for this simple and effective solution. I'm looking forward to try it on the next version of cinelerra.
Sam

Sam

2020-10-11 22:53

administrator   ~0004242

Great realization! I like it. It is very easy to use. Thank you! :-)
PhyllisSmith

PhyllisSmith

2020-10-11 22:41

manager   ~0004241

There is now "Drag Select/Unselect" checked into GIT. Plus to match the Middle Mouse button on the track of "Select Edits" there is now a "Deselect Edits' using the insert pointer or selection area while in Cut and Paste mode. There is a demo at:
    https://streamable.com/qgjf9v

Once this is in the October builds, the BT will be closed.
IgorBeg

IgorBeg

2020-10-11 08:49

reporter   ~0004238

Umpfh! Sorry for the black bold text: wrong tag.
IgorBeg

IgorBeg

2020-10-11 08:48

reporter   ~0004237

@PhyllisSmith wrote: "select all edits between two edits -- I think the Drag Select will nicely solve this and GG started work on this late afternoon.
What I know, we can do that just now (both in DD and CP).
Steps (I do in DD):
1. click on a left edge of a clip
2. holding down SHIFT key, click on a right edge of a clip on the right the other clips you want select
3. "Ctrl+Alt+A" shortcut to select all the clips inside the highlight selection.
It seems to me very good. (If you want I can do a screencast)

For me, to be able to drag and drop a multiple selection in "Cut and Paste mode" shouldn't be allow. You can do that in "Drag and Drop mode". (If I understood well what you are saying)
PhyllisSmith

PhyllisSmith

2020-10-11 01:49

manager   ~0004233

@quintao
We are running out of keys !! so are trying to conservatively use them for something that has no other method to do something but I can see a problem when you prefer not to use the mouse. On the other hand, some prefer to always use the mouse and avoid the keyboard as it is faster. Anyway these already exist:

"to select the edit ... under Insert point" - - Ctrl + LMB (in CP or DD mode)
"to group them (edits)" - - Shift+LMB (in DD mode)
"ungroups edits" - - also Shift+LMB (in DD mode)
"select all edits between two edits -- I think the Drag Select will nicely solve this and GG started work on this late afternoon.

As already mentioned, we hope to provide a method for changing the user's shortcuts for some keys to the user's own preference.

@others
For Drag Select of edits, we are designating Alt+LMB for selection. And "yes" I know that at least Ubuntu and Arch grab "Alt" before it gets to Cinelerra (but I was told this can be changed for those Operating Systems ) but you can not do a simple Drag Select with only the LMB because that is the long-standing "selection" method.
quintao

quintao

2020-10-07 09:25

reporter   ~0004205

Are there any keybinds for selecting edits ? and to select other edits while progressing to either side of an edit?

How about Enter, to select the edit to right of or under Insert point, Ctrl-Enter on more edits selects them with first edit, and Ctrl-G to group them?
Enter will also select a group to right or under the insert point and Ctrl-G ungroups edits.

And I think it would be kinda smart to be able to select all edits between two edits - similar to a file selection using Shift and two clicks on the two extreme files
Mouse: Ctrl-click on edit A, Shift-click on Edit D -> A,B,C,D selected
Keys: Enter on edit A, move along to edit D (Alt-right) and Shift-Enter -> A,B,C,D selected

Just my thoughts
Sam

Sam

2020-10-06 09:23

administrator   ~0004200

That would be great if the drag-select feature could be implemented. :-)
quintao

quintao

2020-10-06 09:14

reporter   ~0004198

+1 for the drag-select feature coming. I have found the need to select all edits to the right of a point so that I can group them and then drag them all along the timeline.
I don't really know why, I guess sometimes -maybe newcomers might feel this way too- I want to move edits along to make space for more media!
In actual fact it's not necessary as media can be dropped between edits and they shift along. But make there is a good case for it, like making space for titles at start? Even then, Shift-Space adds blank time and then select, C and VVV can make that space larger.
PhyllisSmith

PhyllisSmith

2020-10-04 16:25

manager   ~0004171

@Sam
@IgorBeg
@fary54
"the most common way to select specific files -- already works in the resource window of Cinelerra, there I can draw a frame with the mouse button pressed down and the files underneath are marked. Maybe it is possible to use this code for the main window, only that the underlying clips or effects are marked?"

A "Drag Select" in the timeline is on GG's October "to do" list -- the code was looked at in September to see if it can be done and it looks like it is possible. The goal would be to make the Drag Select work functionally as In/Out points and Selection areas.

I have to go back and read everything written about request for a way to "Deselect multiples" without creating a problem as Igor outlined.
fary54

fary54

2020-10-04 09:56

reporter   ~0004163

@IgorBeg
You're absolutely right that it takes a lot of work to be used by only a limited number of people.

For your information, I just discovered a parade to obtain a similar result and this via a relatively easy manipulation:
1- Create an editing group
2- Select the group and make a clip of it
3- Entering the clip via the open EDL
4- Delete unsuccessful editions
5- Import the clip into the main timeline

With this method, the editing group of the imported clip is always active.
IgorBeg

IgorBeg

2020-10-04 09:36

reporter   ~0004162

You are right, @fary54.
But try (you and me) to think if we must to disable a lot of selected edit like a chessboard. It would become a nightmare, I think. Maybe it is an example too stupid.
fary54

fary54

2020-10-04 09:21

reporter   ~0004161

@IgorBeg
Thank you for your explanations.
your procedure works well for one item but if you have several items to deselect it becomes laborious. That's why I thought your idea was very good.
fary54

fary54

2020-10-04 09:14

reporter   ~0004160

Revision on my last position #4156
But in my case, I have created an editing group and I want to deselect several items. And in this case, it doesn't work.
(I meant several elements and not just one)
IgorBeg

IgorBeg

2020-10-04 09:12

reporter   ~0004159

fary54 wrote: I have created an edit group and I want to deselect only one element. And in this case, it doesn't work.
You meant that You have created a group with "Shift+click" and you want deselect one edit inside the group?
If so you can not. Before you have UnGroup (Shift+click over the group), deselect with Ctrl+click on the edit you want, and re-Group (Shift+click)
If you want there is an ugly tutorial about at
http://www.visi1.org/cinelerra-gg_tutorials#DragAndDropEditing
or in Cinelerra-GG Youtube channel.
fary54

fary54

2020-10-04 09:05

reporter   ~0004158

However, this toggle button would be very useful
IgorBeg

IgorBeg

2020-10-04 09:01

reporter   ~0004157

Revision about my last post #4155
I understand that it seems contradictory to my #3971 previous suggestion but thinking to other Users, that toggle button could be too many "complicated"? I don't know.
fary54

fary54

2020-10-04 09:01

reporter   ~0004156

@IgorBeg
I agree, it works on the whole selection.
via:
Ctrl+Alt+A --> Select
Ctrl+Shift+A --> DeSelect

But in my case I have created an edit group and I want to deselect only one element. And in this case, it doesn't work.
IgorBeg

IgorBeg

2020-10-04 08:39

reporter   ~0004155

@fary54 wrote: The new "Select edits (Ctrl+Alt+A)" could be toggled.
It would be a mistake! I think it could be a nightmare. My opinion, of course.
Why? You can wish to select more edit on the same track (or different tracks) in different area of the track; if that shortcut were toggled you can not, and you lose a great feature: multiple selection on different area.

fary54 wrote: "Indeed, I tried the 0930 version and the deselection (via CTRL+ALT+A) does not work. "
I think you (fary54) always know.
- To Deselect by menu:
Edit-> Clear...-> Clear Select (Ctrl+Shift+A)
- To Deselect by MMB:
MMB over the track (Armed) and clicking on "Clear Select (Ctrl+Shift+A)"

Summarize:
Ctrl+Alt+A --> Select
Ctrl+Shift+A --> DeSelect

IMHO how works now it is very good.
fary54

fary54

2020-10-04 07:39

reporter   ~0004152

@IgorBeg
About "is it possible to know the procedure for deselecting a large number of clips... ?"
The new "Select edits (Ctrl+Alt+A)" could be toggled. So, if you have previously selected some edits and with I-Beam highlight an area where there are edit selected, those edit will be deselected when you use "Select edits (Ctrl+Alt+A)" on it.
Or adding another option, "Deselect edits", on MMB (Middle Mouse Button). I don't like this option.

@PhyllisSmith
What is the follow-up to @IgorBeg's proposal that makes sense to me?
Indeed, I tried the 0930 version and the deselection (via CTRL+ALT+A) does not work.
Thanks.
fary54

fary54

2020-09-03 08:16

reporter   ~0003976

@IgorBeg
Thank you for having retained the contents of my last message.
I look forward to the follow-up as well as the procedure that will be given to my proposal.
fary54

fary54

2020-09-03 06:09

reporter   ~0003975

@PhyllisSmith
Thank you for having retained the contents of my last message.
I look forward to the follow-up as well as the procedure that will be given to my proposal.
IgorBeg

IgorBeg

2020-09-02 08:31

reporter   ~0003971

@PhyllisSmith
Quote: "- Second way" is implemented but with a shortcut of Ctrl-Alt-a because GG wanted to include an "a" like when you make a selection uses the "a".
I think it is really good as it works. Thank you so much GG/Phyllis!
For me it is good the "Ctrl+Alt+A" shortcut, but sometime I would reserve shortcut for something else.

If my First way suggestion ( https://www.cinelerra-gg.org/bugtracker/view.php?id=494#c3929 ) were implemented then you could select the edits inside the area using only DragAndDrop and deselect, the edits inside the area, using Shift+DragAndDrop. (Only when you are in "Drag and Drop Mode")

About "is it possible to know the procedure for deselecting a large number of clips... ?"
The new "Select edits (Ctrl+Alt+A)" could be toggled. So, if you have previously selected some edits and with I-Beam highlight an area where there are edit selected, those edit will be deselected when you use "Select edits (Ctrl+Alt+A)" on it.
Or adding another option, "Deselect edits", on MMB (Middle Mouse Button). I don't like this option.
fary54

fary54

2020-09-02 06:19

reporter   ~0003968

@PhyllisSmith
Congratulations to the whole GG team.
Superb achievement, it works very well using the 3 proposed procedures.

Nevertheless, is it possible to know the procedure for deselecting a large number of clips belonging to a previously created group.
Sam

Sam

2020-09-02 02:47

administrator   ~0003967

This improvement is really good indeed. I have been able to test it and it works very well. Thanks for that.

As a addition I would also welcome it if Igor's first suggestion could be integrated. This is the most common way to select specific files or elements in pretty much all other programs. This already works in the resource window of Cinelerra, there I can draw a frame with the mouse button pressed down and the files underneath are marked. Maybe it is possible to use this code for the main window, only that the underlying clips or effects are marked?
PhyllisSmith

PhyllisSmith

2020-09-02 01:50

manager   ~0003966

Last edited: 2020-09-02 02:07

View 4 revisions

A way to do this quite easily is in the 0831 latest build based mostly on Igor's suggestion AND on what could be relatively safe to code. You can select the area to be made into a group in 3 different ways:

  1) set the cursor in the position on the timeline where you want edits to be included and all edits on that track and those below, then use the middle mouse button option on a track of "Select edits"
  2) use the [ and ] brackets to define a region in which to include the edits and use MMB/Select edits
  3) highlight an area by dragging the mouse on the timeline (with the I-Beam / Cut&Paste) and then MMB

Disarmed tracks will not be affected.
PLUS, if you miss an edit that you want included, the same method can be used to add it. It is an additive operation.
And, it will include the partial edits in the selected area, thus making it easy to disinclude ones you do not want.
It will include silence also but you can remove that or any other edit with Ctrl-left mouse button.

@fary54
The problem with this suggestion for coding purposes - "To create an editing group easily and quickly, all you need to do is create a clip." was that it requires the extra step of making clips of everything.
@igorBeg
"- Second way" is implemented but with a shortcut of Ctrl-Alt-a because GG wanted to include an "a" like when you make a selection uses the "a".

I will mark this resolved in a few days unless problems discovered.

fary54

fary54

2020-08-27 06:32

reporter   ~0003945

@IgorBeg
A big thank you for your detailed explanations, which allows me to understand your way of working and using the tools offered by cinelerra. I will take this into account in my future edits.

It remains to be seen what follow-up will be given to @PhyllisSmith's request, which is very close to my heart.
IgorBeg

IgorBeg

2020-08-26 10:07

reporter   ~0003943

@fary54
Thanks!

About
"But what about selecting a large amount of short shots (20 sec)?
- If you zoom you can no longer see the content of all these shots, how to select something that you can not see."

I think that usually you want to select a lot of clips inside an area and then deselect those that you don't want (I think that it was the Armando request). Of course, as in other programs, you have zoom IN and zoom OUT to work on big items or small.
Usually, in Timeline, I enable the colours of the TitleBar to identify my edits, no the thumbnails. So I can save the redraw of the timeline and I can see the edit by colours.

If I have select more clips in the timeline, and without deselect any inside the area. I use Nest feature.
1. I have the clips in the timeline
2. Select the area with I-beam
3. "To clip" icon or better with its shortcut
4. In Resources-> Clips: RMB (Right Mouse Button) on the clip and select "Nest"
5. In a Track named MyNested, I insert the nested Clip to the Timeline in the same InPoint of the original group of clips was.
6. If I want I can edit the Nest Clip to change something.

6. If
fary54

fary54

2020-08-26 07:20

reporter   ~0003942

@IgorBeg

- First way (my preferred, if possible technically)
Whaa! ... What a beautiful fake video.
Indeed, it is a good idea. +1

But what about selecting a large amount of short shots (20 sec)?
- If you zoom you can no longer see the content of all these shots, how to select something that you can not see.

A global solution would be to be able to group the plans in two different ways:
- either using the mouse (your solution)
- or by using keyboard shortcuts (standard of cinelerra).
IgorBeg

IgorBeg

2020-08-21 16:19

reporter   ~0003929

My suggestions/idea about Armando request.
It should works for the Armed tracks.

- First way (my preferred, if possible technically)
It should works only in "Drag and Drop editing mode"
1. Arm the tracks you want to be used
2. Select the "Drag and Drop editing mode"
3. Put the mouse pointer in a empty area of the timeline (maybe you will need to temporarily disable/hide the autos to avoid mistake with them)
4. Hold down LMB and Drag and Drop to "draw" a rectangle.
5. Release the LMB and the clips inside the rectangle will be selected. (many programs works so)
A fake video (photomontage) "Cin_DragDropMode-SelectArea_Photomontage" added to
https://streamable.com/pzba6x


- Second way
With a new "Select" option in MMB PopUp menu.
1. Arm the tracks you want to be used
2. Highlight the area as usually you do with I-beam
3. Press MMB on a clip inside the highlight area and the PopUp menu is shown with a new "Select" option on the top.
4. Choose the "Select" option and the clips inside the highlight area will be selected.
No shortcut for this feature, for me.
fary54

fary54

2020-08-21 07:26

reporter   ~0003928

@PhyllisSmith
I am very happy that you take charge of this file. I also think it's important to be able to group multiple clips into one command. To make your life easier, here is a copy and paste of my proposal from 0000466.
Of course, I remain at your entire disposal for any further information.

---
I allow myself to bounce back on the subject raised to offer you some improvements on the management of grouping edits (chapter 5.5.2 in the manual), namely:

Currently, we must select the edit one by one to make a group and it's perfect to create a small group. What about a big group of several edits ?.
In that case,
- It would be interesting to be able to create a group including all edits of a clip.
e.g: To create an editing group easily and quickly, all you need to do is create a clip. Use the menu of this clip then choose "Grouping edits" then move this clip on timeline > picture 1
- It would be interesting to be able to create a group easily and quickly to select the first edit of a track and the last edit of another track via a key combination (e.g:Hold down shift+alt and left mouse click) > picture 2
---

What do you think ?

1.png (619,064 bytes)
2.png (528,860 bytes)
Andrea_Paz

Andrea_Paz

2020-08-18 08:06

updater   ~0003926

There are some good suggestions from Fary54 in 0000466, comment #0003872

Issue History

Date Modified Username Field Change
2020-08-17 17:44 PhyllisSmith New Issue
2020-08-17 17:44 PhyllisSmith Status new => assigned
2020-08-17 17:44 PhyllisSmith Assigned To => goodguy
2020-08-18 08:06 Andrea_Paz Note Added: 0003926
2020-08-21 07:26 fary54 File Added: 1.png
2020-08-21 07:26 fary54 File Added: 2.png
2020-08-21 07:26 fary54 Note Added: 0003928
2020-08-21 16:19 IgorBeg Note Added: 0003929
2020-08-26 07:20 fary54 Note Added: 0003942
2020-08-26 10:07 IgorBeg Note Added: 0003943
2020-08-27 06:32 fary54 Note Added: 0003945
2020-09-02 01:50 PhyllisSmith Note Added: 0003966
2020-09-02 01:59 PhyllisSmith Note Edited: 0003966 View Revisions
2020-09-02 02:01 PhyllisSmith Note Edited: 0003966 View Revisions
2020-09-02 02:07 PhyllisSmith Note Edited: 0003966 View Revisions
2020-09-02 02:47 Sam Note Added: 0003967
2020-09-02 06:19 fary54 Note Added: 0003968
2020-09-02 08:31 IgorBeg Note Added: 0003971
2020-09-03 06:09 fary54 Note Added: 0003975
2020-09-03 08:16 fary54 Note Added: 0003976
2020-10-04 07:39 fary54 Note Added: 0004152
2020-10-04 08:39 IgorBeg Note Added: 0004155
2020-10-04 09:01 fary54 Note Added: 0004156
2020-10-04 09:01 IgorBeg Note Added: 0004157
2020-10-04 09:05 fary54 Note Added: 0004158
2020-10-04 09:12 IgorBeg Note Added: 0004159
2020-10-04 09:14 fary54 Note Added: 0004160
2020-10-04 09:21 fary54 Note Added: 0004161
2020-10-04 09:36 IgorBeg Note Added: 0004162
2020-10-04 09:56 fary54 Note Added: 0004163
2020-10-04 16:25 PhyllisSmith Note Added: 0004171
2020-10-06 09:14 quintao Note Added: 0004198
2020-10-06 09:23 Sam Note Added: 0004200
2020-10-07 09:25 quintao Note Added: 0004205
2020-10-11 01:49 PhyllisSmith Note Added: 0004233
2020-10-11 08:48 IgorBeg Note Added: 0004237
2020-10-11 08:49 IgorBeg Note Added: 0004238
2020-10-11 22:41 PhyllisSmith Note Added: 0004241
2020-10-11 22:53 Sam Note Added: 0004242
2020-10-12 06:24 fary54 Note Added: 0004244
2020-10-12 07:50 Andrea_Paz Note Added: 0004245
2020-10-12 12:09 IgorBeg Note Added: 0004246